module(..., package.seeall)

-- Load libraries
require("controllerfunctions")

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function startstop(self)
	return controllerfunctions.handle_startstop(self, self.model.startstop_service, self.clientdata)
end

function details(self)
	return self.model.getstatusdetails()
end

function listfiles(self)
	return self.model.getfilelist()
end

function createfile(self)
	return controllerfunctions.handle_form(self, self.model.getnewfile, self.model.createfile, self.clientdata, "Create", "Create new file", "New file created")
end

function deletefile(self)
	return self:redirect_to_referrer(self.model.deletefile(self.clientdata.filename))
end

function expert(self)
	return controllerfunctions.handle_form(self, function() return self.model.getfiledetails(self.clientdata.filename) end, self.model.updatefiledetails, self.clientdata, "Save", "Edit Postfix File", "File Saved")
end

function rebuilddatabases(self)
	return self:redirect_to_referrer(self.model.rebuild_databases())
end

function listqueue(self)
	return self.model.getmailqueue()
end

function flushqueue(self)
	return self:redirect_to_referrer(self.model.flushqueue())
end
